Page MenuHomePhabricator

[mips] Added support for using traps and breaks in the integrated assembler via command line options.
ClosedPublic

Authored by s.egerton on Jul 31 2015, 3:57 AM.

Diff Detail

Event Timeline

s.egerton updated this revision to Diff 31114.Jul 31 2015, 3:57 AM
s.egerton retitled this revision from to Added support for using traps and breaks in the integrated assembler via command line options..
s.egerton updated this object.
s.egerton added reviewers: dsanders, vkalintiris.
s.egerton added a subscriber: llvm-commits.
s.egerton retitled this revision from Added support for using traps and breaks in the integrated assembler via command line options. to [mips] Added support for using traps and breaks in the integrated assembler via command line options..Jul 31 2015, 4:00 AM
dsanders accepted this revision.Aug 11 2015, 6:13 AM
dsanders edited edge metadata.

LGTM but note that one of the spellings (e.g. 'use-div-traps') will need updating to match the changes made to the other patch.

This revision is now accepted and ready to land.Aug 11 2015, 6:13 AM
s.egerton updated this revision to Diff 33407.Aug 28 2015, 3:24 AM
s.egerton edited edge metadata.

Changed all references to "use-div-traps" to "use-tcc-in-div" to relect changes made to the llvm integrated assember in a different patch (http://reviews.llvm.org/D11675).

s.egerton updated this revision to Diff 33408.Aug 28 2015, 3:34 AM

Fixed spacing issues.

dsanders closed this revision.Sep 3 2015, 5:59 AM